
<app-header></app-header>
<header class="header" role="banner">
  <h1 class="logo">
    <a href="#">My <span>App</span></a>
  </h1>
  <div class="nav-wrap">
    <nav class="main-nav" role="navigation">
      <ul class="unstyled list-hover-slide">
        <li *ngIf="userDetails"><a [routerLink]="['/home']" [queryParams]="{id: userDetails.id}">Home</a></li>
        <li *ngIf="userDetails"><a [routerLink]="['/profile',userDetails.id]" >Profile</a></li>
      </ul>
    </nav>
  </div>
</header>
<div class="cardHome" *ngIf="dataLoaded">
  <h2>update user</h2>
  <form [formGroup]="editUserForm" (submit)="updateUser()">
    <p>
      <mat-form-field appearance="outline">
        <mat-label>User Name</mat-label>
        <input matInput placeholder="name" formControlName="username" />
        <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
      </mat-form-field>
    </p>
    <p>
      <mat-form-field appearance="outline">
        <mat-label>Email</mat-label>
        <input matInput placeholder="email" formControlName="email" />
        <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
      </mat-form-field>
    </p>
    <p>
      <mat-form-field appearance="outline">
        <mat-label>phoneNumber</mat-label>
        <input
          matInput
          placeholder="phoneNumber"
          formControlName="phoneNumber"
        />
        <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
      </mat-form-field>
    </p>
    <p>
      <mat-form-field appearance="outline">
        <mat-label>bloodGroup</mat-label>
        <input matInput placeholder="bloodGroup" formControlName="bloodGroup" />
        <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
      </mat-form-field>
    </p>
    <p>
      <mat-form-field appearance="outline">
        <mat-label>password</mat-label>
        <input matInput placeholder="password" formControlName="password" />
        <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
      </mat-form-field>
    </p>
    <p>
      <button mat-raised-button type="submit" class="btn btn-primary">
        update User
      </button>
    </p>
  </form>
</div>
